- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP1FixedLengthGroup Class Reference

`#include <WP1FixedLengthGroup.h>`

Inheritance diagram for WP1FixedLengthGroup:

## Public Member Functions
| WP1FixedLengthGroup (unsigned char group)
virtual | ~WP1FixedLengthGroup ()
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()
virtual void | parse (WP1Listener *listener)=0

## Static Public Member Functions
static WP1FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)

## Protected Member Functions
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
unsigned char | getGroup () const

## Private Attributes
unsigned char | m_group

## Constructor & Destructor Documentation

WP1FixedLengthGroup::WP1FixedLengthGroup | ( | unsigned char | group | ) |

virtual WP1FixedLengthGroup::~WP1FixedLengthGroup | ( |  | ) |
| inline virtual

## Member Function Documentation

void WP1FixedLengthGroup::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protected

Referenced by WP1BottomMarginGroup::WP1BottomMarginGroup(), WP1CenterTextGroup::WP1CenterTextGroup(), WP1ExtendedCharacterGroup::WP1ExtendedCharacterGroup(), WP1FlushRightGroup::WP1FlushRightGroup(), WP1FontIdGroup::WP1FontIdGroup(), WP1JustificationGroup::WP1JustificationGroup(), WP1LeftIndentGroup::WP1LeftIndentGroup(), WP1LeftRightIndentGroup::WP1LeftRightIndentGroup(), WP1MarginReleaseGroup::WP1MarginReleaseGroup(), WP1MarginResetGroup::WP1MarginResetGroup(), WP1PointSizeGroup::WP1PointSizeGroup(), WP1SpacingResetGroup::WP1SpacingResetGroup(), WP1SuppressPageCharacteristicsGroup::WP1SuppressPageCharacteristicsGroup(), WP1TopMarginGroup::WP1TopMarginGroup(), and WP1UnsupportedFixedLengthGroup::WP1UnsupportedFixedLengthGroup().

virtual void WP1FixedLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | ,
|  | WPXEncryption * |
| ) |  |
| inline protected virtual

Reimplemented in WP1UnsupportedFixedLengthGroup, WP1MarginResetGroup, WP1BottomMarginGroup, WP1ExtendedCharacterGroup, WP1FontIdGroup, WP1JustificationGroup, WP1LeftIndentGroup, WP1LeftRightIndentGroup, WP1MarginReleaseGroup, WP1PointSizeGroup, WP1SpacingResetGroup, WP1SuppressPageCharacteristicsGroup, and WP1TopMarginGroup.

Referenced by _read().

WP1FixedLengthGroup * WP1FixedLengthGroup::constructFixedLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group
| ) |  |
| static

Referenced by WP1Part::constructPart().

unsigned char WP1FixedLengthGroup::getGroup | ( |  | ) | const
| inline protected

## Member Data Documentation

unsigned char WP1FixedLengthGroup::m_group
| private

Referenced by _read(), and getGroup().

The documentation for this class was generated from the following files:

- WP1FixedLengthGroup.h
- WP1FixedLengthGroup.cpp